client.stub.irepositorytac

## Class FaultException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - client.stub.irepositorytac.FaultException

- All Implemented Interfaces:
    Serializable

      @WebFault(name="FaultException",
                targetNamespace="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/iRepositoryTaccuino")
      public class FaultException
      extends Exception

  This class was generated by Apache CXF 3.3.4 2024-11-15T12:10:59.928+01:00 Generated source version: 3.3.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FaultException()`
    `FaultException(String message)`
    `FaultException(String message, FaultDetail faultException)`
    `FaultException(String message, FaultDetail faultException, Throwable cause)`
    `FaultException(String message, Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FaultDetail` | `getFaultInfo()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FaultException

          public FaultException()

    - #### FaultException

          public FaultException(String message)

    - #### FaultException

          public FaultException(String message,
                                Throwable cause)

    - #### FaultException

          public FaultException(String message,
                                FaultDetail faultException)

    - #### FaultException

          public FaultException(String message,
                                FaultDetail faultException,
                                Throwable cause)

  - ### Method Detail

    - #### getFaultInfo

          public FaultDetail getFaultInfo()

Copyright © 2024. All rights reserved.